# $Revision: 1.12 $, $Date: 2012/01/13 13:25:40 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	CIDR-Lite
Summary:	Net::CIDR::Lite - parse, manipulate and lookup IP network blocks
Summary(pl.UTF-8):	Net::CIDR::Lite - analiza, przetwarzanie i wyszukiwanie bloków sieci IP
Name:		perl-Net-CIDR-Lite
Version:	0.21
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	12280b3754886b876918f03f53aee4f5
URL:		http://search.cpan.org/dist/Net-CIDR-Lite/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::CIDR::Lite parses and understands IPv4 CIDR blocks.

%description -l pl.UTF-8
Moduł Net::CIDR::Lite analizuje bloki CIDR IPv4.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{perl_vendorlib}/Net/CIDR
%{perl_vendorlib}/Net/CIDR/Lite.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-CIDR-Lite.spec,v $
Revision 1.12  2012/01/13 13:25:40  zbyniu
- up to 0.21

Revision 1.11  2008/07/27 22:25:36  arekm
- release 2

Revision 1.10  2007-03-13 07:55:11  qboosh
- generic URL

Revision 1.9  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:42  baggins
- converted to UTF-8

Revision 1.7  2006/04/07 20:03:16  agaran
- up to 0.20 rel 1, builds here

Revision 1.6  2005/10/17 09:12:28  hawk
- release 3 (2 went to Ra)

Revision 1.5  2005/05/30 11:40:00  petec
- up to 0.18

Revision 1.4  2004/11/03 22:30:35  paladine
- formatting

Revision 1.3  2004/04/26 23:02:37  ankry
- license fixes and unification

Revision 1.2  2004/01/15 14:20:19  qboosh
- pl, tests, missing dir

Revision 1.1  2004/01/12 19:55:17  aredridel
- added
